#!/bin/bash

DEFAULT_X_PATH=/usr/X11R6

echo "Enter your X installation path [ default: $DEFAULT_X_PATH ]"
read X_PATH

if [ -z $X_PATH ]
then
  X_PATH=$DEFAULT_X_PATH
fi

if [ ! -d $X_PATH ]
then 
  echo "$X_PATH : not such directory, aborting"
  exit
fi

echo "Copying files..."
install itmtouch_drv.o $X_PATH/lib/modules/input
install itmtouch.man $X_PATH/man/man4

echo "
[01;31mFirst, add an InputDevice section into your XF86Config file, like :[00m

Section InputDevice
  Identifier  \"Touch0\"
  Driver \"itmtouch\"
  Option \"Device\" \"/dev/ttyS0\"
  Option \"SwapXY\" \"false\"
  Option \"MinX\"   \"min abs_x value\"
  Option \"MaxX\"   \"max abs_x value\"
  Option \"MinY\"   \"min abs_y value\"
  Option \"MaxY\"   \"max abs_y value\"
EndSection

[01;31mReplacing /dev/ttyS0 with the device on which the touchscreen is pluggeed
and (min/max)_abs_(x/y)_values with the adequate values for your touchscreen
given by the calibration tool.[00m

[01;31mSecond, add a reference to this InputDevice in the "ServerLayout" section :[00m

Section "ServerLayout"
  ...
  ...
  InputDevice    "Touch0" "SendCoreEvents"
EndSection

[01;31mThen, restart X ( $ init 3 ; init 5 ) [00m

[01;32mIf it don't work, check X log ( in /var/log/XFree.0.log )[00m

[01;32mFor more complete information about the configuration of the itmtouch section
in the XF86Config file, read its manpage ( $ man itmtouch ).
There is also a sample configuration file included : XF86Config.sample [00m
" | more --


